Loading...
Searching...
No Matches
BALL::VIEW::FieldLineCreator Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/fieldLineCreator.h>`

Inheritance diagram for BALL::VIEW::FieldLineCreator:

## Public Types

typedef TRegularData3D< Vector3 > | VectorGrid

## Public Member Functions

| FieldLineCreator ()
| FieldLineCreator (const FieldLineCreator &fc)
virtual | ~FieldLineCreator ()
Representation * | createLines ()
void | createFieldLine_ (const Vector3 &point, Representation &rep)
void | calculateLinePoints_ (Vector3 point, vector< Vector3 > &points, float factor=1.)
void | setUsePotentialGrid (bool state)

## Public Attributes

float | tolerance_
Size | max_steps_
Size | interpolation_steps_
Size | icosaeder_steps_
float | atom_distance_
Size | field_line_errors_
bool | use_atoms_
Size | monte_carlo_nr_lines_
RegularData3D * | potential_grid_
VectorGrid * | vector_grid_
AtomContainer * | ac_
bool | use_potential_grid_

## Detailed Description

FieldLineCreator class.

Definition at line 28 of file fieldLineCreator.h.

## Member Typedef Documentation

## VectorGrid

typedef TRegularData3D<Vector3> BALL::VIEW::FieldLineCreator::VectorGrid

Definition at line 32 of file fieldLineCreator.h.

## Constructor & Destructor Documentation

## FieldLineCreator() [1/2]

BALL::VIEW::FieldLineCreator::FieldLineCreator | ( |  | ) |

Default Constructor.

## FieldLineCreator() [2/2]

BALL::VIEW::FieldLineCreator::FieldLineCreator | ( | const FieldLineCreator & | fc | ) |

Copy constructor.

## ~FieldLineCreator()

virtual BALL::VIEW::FieldLineCreator::~FieldLineCreator | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## calculateLinePoints_()

void BALL::VIEW::FieldLineCreator::calculateLinePoints_ | ( | Vector3 | point,
|  | vector< Vector3 > & | points,
|  | float | factor = 1. )

inline

## createFieldLine_()

void BALL::VIEW::FieldLineCreator::createFieldLine_ | ( | const Vector3 & | point,
|  | Representation & | rep )

## createLines()

Representation * BALL::VIEW::FieldLineCreator::createLines | ( |  | ) |

## setUsePotentialGrid()

void BALL::VIEW::FieldLineCreator::setUsePotentialGrid | ( | bool | state | ) |

inline

For the Stalling approach: use the potential or the vector field as basis for the placement

Definition at line 56 of file fieldLineCreator.h.

## Member Data Documentation

## ac_

AtomContainer* BALL::VIEW::FieldLineCreator::ac_

Definition at line 68 of file fieldLineCreator.h.

## atom_distance_

float BALL::VIEW::FieldLineCreator::atom_distance_

Definition at line 62 of file fieldLineCreator.h.

## field_line_errors_

Size BALL::VIEW::FieldLineCreator::field_line_errors_

Definition at line 63 of file fieldLineCreator.h.

## icosaeder_steps_

Size BALL::VIEW::FieldLineCreator::icosaeder_steps_

Definition at line 61 of file fieldLineCreator.h.

## interpolation_steps_

Size BALL::VIEW::FieldLineCreator::interpolation_steps_

Definition at line 60 of file fieldLineCreator.h.

## max_steps_

Size BALL::VIEW::FieldLineCreator::max_steps_

Definition at line 59 of file fieldLineCreator.h.

## monte_carlo_nr_lines_

Size BALL::VIEW::FieldLineCreator::monte_carlo_nr_lines_

Definition at line 65 of file fieldLineCreator.h.

## potential_grid_

RegularData3D* BALL::VIEW::FieldLineCreator::potential_grid_

Definition at line 66 of file fieldLineCreator.h.

## tolerance_

float BALL::VIEW::FieldLineCreator::tolerance_

Definition at line 58 of file fieldLineCreator.h.

## use_atoms_

bool BALL::VIEW::FieldLineCreator::use_atoms_

Definition at line 64 of file fieldLineCreator.h.

## use_potential_grid_

bool BALL::VIEW::FieldLineCreator::use_potential_grid_

Definition at line 69 of file fieldLineCreator.h.

## vector_grid_

VectorGrid* BALL::VIEW::FieldLineCreator::vector_grid_

Definition at line 67 of file fieldLineCreator.h.